Issue 1661 request to make add --quiet quieter

Title request to make add --quiet quieter
Priority feature Status resolved
Milestone Resolved in 2.8.0
Superseder Nosy List conal, darcs-devel, dmitry.kurochkin, jaredj, kowey, scott
Assigned To
Topics ProbablyEasy, UI

Created on 2009-10-25.21:58:40 by conal, last changed 2011-05-09.06:19:35 by noreply.

File name Uploaded Type Edit Remove
unnamed conal, 2009-10-25.21:58:38 text/html
msg9036 (view) Author: conal Date: 2009-10-25.21:58:38
I'd like 'darcs add --quiet' not* to complain when there are no files to
add.  "--quiet" suppresses the list of not-added files, but leaves behind
"darcs failed:  No files were added", which I'd rather it suppressed also.

My common use is 'darcs add -r -q --dry-run .', which I run from makefiles
over several directories at once.  I like the output to be empty when
nothing was done and nothing unexpected happened.  Hence, the request.

Please cc: me in replies.  I don't think I'm on the bugs@darcs.net mailing

Thanks,  - Conal
msg9039 (view) Author: kowey Date: 2009-10-25.22:06:39
Sounds like a great bug for beginning Darcs hackers to work on.  
By the way, Conal, you'll be automatically CC'ed by our bug-tracker.
msg13978 (view) Author: scott Date: 2011-05-01.02:57:19
Patch submitted: http://bugs.darcs.net/patch597
msg14021 (view) Author: noreply Date: 2011-05-09.06:19:34
The following patch sent by bytbox@gmail.com updated issue issue1661 with
status=resolved;resolvedin=2.8.0 HEAD

* Resolve issue1661: make add --quiet quieter 
Ignore-this: a5353eb723ddcedf3d8dc9c1ab6841a4
Date User Action Args
2009-10-25 21:58:40conalcreate
2009-10-25 22:06:47koweysetpriority: feature
status: unknown -> needs-implementation
topic: + ProbablyEasy, UI
messages: + msg9039
nosy: + kowey, jaredj
2011-05-01 02:57:20scottsetstatus: needs-implementation -> has-patch
nosy: + scott
messages: + msg13978
2011-05-09 06:19:35noreplysetstatus: has-patch -> resolved
messages: + msg14021
resolvedin: 2.8.0